protocols / TwoPartyTradeProtocol / SellerTradeInfo

# SellerTradeInfo

`class SellerTradeInfo`

### Constructors

<init> | `SellerTradeInfo(assetForSale: StateAndRef<OwnableState>, price: Amount, sellerOwnerKey: PublicKey, sessionID: Long)`

### Properties

assetForSale | `val assetForSale: StateAndRef<OwnableState>`
price | `val price: Amount`
sellerOwnerKey | `val sellerOwnerKey: PublicKey`
sessionID | `val sessionID: Long`